import { Injectable } from '@angular/core';
import { MainService } from 'src/app/services/main.service';

@Injectable({
  providedIn: 'root'
})
export class CheckAndExcludeConfigService {
  constructor(
    private mainService: MainService,
  ) { }

  // 列表-查
  query(postData) {
    return this.mainService.getFetchDataList("simple/data", "dataFieldRule", postData);
  }

  // 列表-删
  delete(postData) {
    return this.mainService.simplePost("rmvData", "dataFieldRule", postData);
  }

  // 列表-增
  add(postData) {
    return this.mainService.simplePost("addData", "dataFieldRule", postData);
  }

  // 批量转换/一键转换/一键恢复
  convertOrRestore(postData) {
    return this.mainService.coopConfig("changeInspectDataField", postData);
  }
}
